#!/bin/bash
echo Generating Golang
protoc -I=. --go_out=.. messages.proto
mv ../forge.redroom.link/yves/meowlib/messages.pb.go ../
rm -rf ../forge.redroom.link
echo Generating HTML doc
protoc --plugin=protoc-gen-doc=/usr/bin/protoc-gen-doc \
  --doc_out=../doc/generated \
  --doc_opt=html,index.html \
  *.proto
echo Generating UML
protoc --plugin=protoc-gen-uml=/usr/bin/protoc-gen-uml \
   --uml_out=../doc/generated -I=. *.proto
